﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using Infragistics.Windows.Tiles;

namespace XamTileDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Tile firstTile = this.xamTilesControl1.TileFromItem(xamTilesControl1.Items[0]);
            ContentPresenter contentPresenter = Infragistics.Windows.Utilities.GetDescendantFromType<ContentPresenter>(firstTile, true, null);

            if (System.Windows.Visibility.Collapsed == contentPresenter.Visibility)
            {
                contentPresenter.Visibility = System.Windows.Visibility.Visible;
            }
            else
            {
                contentPresenter.Visibility = System.Windows.Visibility.Collapsed;
            }

            for (int i = 0; i < 20; i++)
            {
                Product p = new Product();
                p.CategoryID = 1;
                p.ProductID = 100 + i;
                p.ProductName = "Beverage " + p.ProductID.ToString();
                p.UnitPrice = 13.0000m;
                Category cat = DataUtil.CategoriesAndProducts.First();
                cat.Products.Add(p);
            }

            TilesPanel tilesPanel = Infragistics.Windows.Utilities.GetDescendantFromType<TilesPanel>(this.xamTilesControl1, true, null);
            tilesPanel.InvalidateMeasure();

            //this.xamTilesControl1.ItemsSource = DataUtil.CategoriesAndProducts;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            ObservableCollection<Category> categories = DataUtil.CategoriesAndProducts;

            int row = 0;
            foreach (Category category in categories)
            {
                Tile tile = new Tile();
                tile.Row = row++;
                tile.Content = category;
                tile.ContentTemplate = this.xamTilesControl1.ItemTemplate;
                tile.Header = category.CategoryName;
                this.xamTilesControl1.Items.Add(tile);
            }
        }
    }
}
